Diligent Engine API Reference: Diligent::DispatchComputeAttribs Struct Reference

Diligent Engine API Reference

Public Member Functions | Public Attributes | List of all members
Diligent::DispatchComputeAttribs Struct Reference

Describes dispatch command arguments. More...

## Public Member Functions
| DispatchComputeAttribs (Uint32 GroupsX=1, Uint32 GroupsY=1, Uint32 GroupsZ=1)
| Initializes the structure to perform non-indirect dispatch command. More...
| DispatchComputeAttribs (IBuffer *pDispatchAttribs, Uint32 Offset=0)
| Initializes the structure to perform indirect dispatch command. More...

## Public Attributes
Uint32 | ThreadGroupCountX
| Number of groups dispatched in X direction.
Uint32 | ThreadGroupCountY
| Number of groups dispatched in Y direction.
Uint32 | ThreadGroupCountZ
| Number of groups dispatched in Z direction.
IBuffer * | pIndirectDispatchAttribs
| Pointer to the buffer containing dispatch arguments. If not nullptr, then indirect dispatch command is executed, and ThreadGroupCountX, ThreadGroupCountY, and ThreadGroupCountZ are ignored.
Uint32 | DispatchArgsByteOffset
| If pIndirectDispatchAttribs is not nullptr, indicates offset from the beginning of the buffer to the dispatch command arguments. Ignored otherwise.

## Detailed Description

Describes dispatch command arguments.

This structure is used by IDeviceContext::DispatchCompute(). See ID3D11DeviceContext::Dispatch on MSDN for details.

## Constructor & Destructor Documentation

## ◆ DispatchComputeAttribs() [1/2]

Diligent::DispatchComputeAttribs::DispatchComputeAttribs | ( | Uint32 | GroupsX = `1`,
|  | Uint32 | GroupsY = `1`,
|  | Uint32 | GroupsZ = `1`
| ) |  |
| inline

Initializes the structure to perform non-indirect dispatch command.

Parameters

  [in] | GroupsX | - Number of groups dispatched in X direction. Default value is 1.
  [in] | GroupsY | - Number of groups dispatched in Y direction. Default value is 1.
  [in] | GroupsZ | - Number of groups dispatched in Z direction. Default value is 1.

## ◆ DispatchComputeAttribs() [2/2]

Diligent::DispatchComputeAttribs::DispatchComputeAttribs | ( | IBuffer * | pDispatchAttribs,
|  | Uint32 | Offset = `0`
| ) |  |
| inline

Initializes the structure to perform indirect dispatch command.

Parameters

  [in] | pDispatchAttribs | - Pointer to the buffer containing dispatch arguments.
  [in] | Offset | - Offset from the beginning of the buffer to the dispatch command arguments. Default value is 0.